#include <stdio.h>

int main()
{
    unsigned long long  a,b,c,rez,ca=0,cb=0,cc=0,cu,max;
    scanf("%llu%llu%llu",&a,&b,&c);
    unsigned long long  ap=a,bp=b,cp=c;
    while (ap)
    {
        ap/=10;
        ca++;
    }
    while (bp)
    {
        bp/=10;
        cb++;
    }
    while (cp)
    {
        cp/=10;
        cc++;
    }
    cu=cc+cb+ca;
    rez=a*pow(10,cu-ca)+b*pow(10,cu-ca-cb)+c;
    max=rez;
    rez=a*pow(10,cu-ca)+c*pow(10,cu-cc-ca)+b;
    if (rez>max)
    {
        max=rez;
    }
    rez=b*pow(10,cu-cb)+a*pow(10,cu-ca-cb)+c;
    if (rez>max)
    {
        max=rez;
    }
    rez=b*pow(10,cu-cb)+c*pow(10,cu-cc-cb)+a;
    if (rez>max)
    {
        max=rez;
    }
    rez=c*pow(10,cu-cc)+a*pow(10,cu-cc-ca)+b;
    if (rez>max)
    {
        max=rez;
    }
    rez=c*pow(10,cu-cc)+b*pow(10,cu-cc-cb)+a;
    if (rez>max)
    {
        max=rez;
    }

    printf("%llu",max);
    return 0;
}